package cn.com.qmth.mps.service.impl;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.core.solar.model.WxappAccessToken;

import cn.com.qmth.mps.dao.WxappAccessTokenDao;
import cn.com.qmth.mps.entity.WxappAccessTokenEntity;
import cn.com.qmth.mps.service.WxappAccessTokenService;

@Service
public class WxappAccessTokenServiceImpl extends ServiceImpl<WxappAccessTokenDao, WxappAccessTokenEntity> implements WxappAccessTokenService {
	private static WxappAccessToken wt;
	
	
	@Override
	public WxappAccessToken getWxappAccessToken() {
		if(wt!=null) {
			return wt;
		}
		WxappAccessTokenEntity e=this.getById(1L);
		wt=new WxappAccessToken();
		wt.setAccessToken(e.getAccessToken());
		wt.setExpireTime(e.getExpiresTime());
		return wt;
	}
	
	@Transactional
	@Override
	public void saveWxappAccessToken(String accessToken,Long expiresTime) {
		wt.setAccessToken(accessToken);
		wt.setExpireTime(expiresTime);
		WxappAccessTokenEntity e=this.getById(1L);
		e.setAccessToken(accessToken);
		e.setExpiresTime(expiresTime);
		this.updateById(e);
	}

}
